
#version 330 core
in vec2 vUV;
out vec4 FragColor;

uniform sampler2D uScene;
uniform sampler2D uBloom;
uniform float uIntensity;

void main() {
    vec3 sceneColor = texture(uScene, vUV).rgb;
    vec3 bloomColor = texture(uBloom, vUV).rgb * uIntensity;
    FragColor = vec4(sceneColor + bloomColor, 1.0);
}